CVE-2009-5017

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Mozilla Firefox before 3.6 Beta 3 does not properly handle overlong UTF-8 encoding, which makes it easier for remote attackers to bypass cross-site scripting (XSS) protection mechanisms via a crafted string, a different vulnerability than CVE-2010-1210.

References

http://hg.mozilla.org/releases/mozilla-1.9.2/rev/e42c563313a0

http://sirdarckcat.blogspot.com/2009/10/couple-of-unicode-issues-on-php-and.html

https://bugzilla.mozilla.org/show_bug.cgi?id=511859

https://bugzilla.mozilla.org/show_bug.cgi?id=522634

Details

Source: MITRE

Published: 2010-11-12

Updated: 2010-12-01

Type: CWE-79

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:P/A:N

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:mozilla:firefox:3.6:beta1:*:*:*:*:*:*

cpe:2.3:a:mozilla:firefox:*:beta2:*:*:*:*:*:* versions up to 3.6 (inclusive)

Tenable Plugins

View all (6 total)

IDNameProductFamilySeverity
68055Oracle Linux 5 : firefox (ELSA-2010-0501)NessusOracle Linux Local Security Checks
critical
68054Oracle Linux 4 : firefox (ELSA-2010-0500)NessusOracle Linux Local Security Checks
critical
48265CentOS 4 : firefox (CESA-2010:0500)NessusCentOS Local Security Checks
critical
47129CentOS 5 : firefox (CESA-2010:0501)NessusCentOS Local Security Checks
critical
47119RHEL 5 : firefox (RHSA-2010:0501)NessusRed Hat Local Security Checks
critical
47118RHEL 4 : firefox (RHSA-2010:0500)NessusRed Hat Local Security Checks
critical